CREATE DATABASE IF NOT EXISTS access_audit_test;
CREATE TABLE IF NOT EXISTS access_audit_test.t1 (a INT, b INT);

DROP USER IF EXISTS at1@localhost;
DROP USER IF EXISTS at2@localhost;
DROP USER IF EXISTS at3@localhost;
DROP USER IF EXISTS at4@localhost;
DROP USER IF EXISTS at5@localhost;
DROP USER IF EXISTS at6@localhost;

CREATE USER at1@localhost, at2@localhost, at3@localhost, at4@localhost, at5@localhost, at6@localhost;
GRANT SELECT ON *.* TO at1@localhost;
GRANT SELECT ON access_audit_test.* TO at2@localhost;
GRANT SELECT ON access_audit_test.t1 TO at3@localhost;
GRANT SELECT (a) ON access_audit_test.t1 TO at4@localhost;
GRANT PROXY ON at1@localhost TO at5@localhost;
GRANT SELECT ON `a%`.* TO at6@localhost;
GRANT SELECT ON *.* TO at6@localhost;

CALL audit_access('access_audit_test', 't1', 'SELECT');
